

#ifndef _BasicAFP
#include "BasicAFP.h"
#endif

extern "C" {
/* you must have the following symbols */
/* see John Cresswell document for details : */
/* AGATA PSA and Tracking Algorithm Integration*/
//!
void process_config (const Char_t *directory_path, UInt_t *error_code);
//!
BasicAFP *process_register (UInt_t *error_code);
//!
void process_unload (BasicAFP *algo_data,UInt_t *error_code);

//!
void process_block (BasicAFP *algo, void *output_buffer,
		      UInt_t size_of_output_buffer,
		      UInt_t *used_size_of_output_buffer,
		      UInt_t *error_code );
/* optionnal symbols */
/* this symbol isn't documented for the moment, it should contain 0 or the */
/* maximum size of one event, value 0 is safe */
int max_size = 0;
void process_initialise (BasicAFP *algo_data, UInt_t *error_code);
void process_reset (BasicAFP *algo_data,UInt_t *error_code);
void process_start (BasicAFP *algo_data,UInt_t *error_code);
void process_stop (BasicAFP *algo_data,UInt_t *error_code);
void process_pause (BasicAFP *algo_data,UInt_t *error_code);
void process_resume (BasicAFP *algo_data, UInt_t *error_code);
} // extern C


