
// #include "LogCollector.h"

/*
#include "dev/DummyFilter.h"
#include "dev/DummyProducer.h"
#include "dev/DummyConsumer.h"
*/


// to be suppressed ..
#include "ConfAgent.h"
#include "AgataKeyFactory.h"
#include "AgataFrameFactory.h"


#include <iostream>
#include <sys/times.h>


/*
compilation: 
	g++ -O -Wall -fPIC -I./ -L./ -lADF -lDUMMY dev/dummy.c -o dummy
	g++ -g -pg -I./ -L./ -lADF -lDUMMY dev/dummy.c -o dummy */

using namespace ADF;

int main(int argc, char **argv)
{
	AgataKeyFactory *fact = AKeyFactory<AgataKeyFactory>::theFactory();

	
	if ( !FrameFactory::IsKnown("Agata") )	
		FrameFactory::Register("Agata"); 	

	ConfAgent *ag = ConfAgent::theGlobalAgent().Clone("Clone");
	ag->Configure("GADF.conf","out"); 
	
	delete ag;
/*
	AgataKeyFactory *fact = AKeyFactory<AgataKeyFactory>::theFactory();
	
	KeyFactory::Register("Agata");
	if ( KeyFactory::IsKnown("Agata") ) printf("KNOW \n"); 

	
	AgataFrameFactory *factf = AFrameFactory<AgataFrameFactory>::theFactory(); */	
/*

	KeyFactory::Register("Default"); 
	KeyFactory::Register("Agata"); 
	
	KeyFactory::Register("Agata"); */
// 	ConfAgent::TOTO();
	
		// Frame factory	
	//FrameFactory::Register("Agata"); 
	
	/*
	ConfAgent *conf =
		new ConfAgent(); 
		
	delete conf;*/
	
/*
	UInt_t error = 0u;
	
	// buffers to pass data from one actor to another one
	const UInt_t size_buf_in  = 400*aKByte;
	const UInt_t size_buf_out = aMByte;	
	Char_t *buf1 = NULL;
	Char_t *buf2 = NULL;	
	buf1 = BaseBuffer::New(buf1,size_buf_in);
	buf2 = BaseBuffer::New(buf2,size_buf_out); 
	
	// it creates and inits the different actors
	DummyProducer::process_config("./",&error); 
	if ( error > 0u ) 
		printf("Error in DummyProducer::process_config %d \n ",error);
	DummyProducer *pro = new DummyProducer(); 
	pro->process_initialise(&error);
	if ( error > 0u ) 
		printf("Error in DummyProducer::process_config %d \n ",error);
	DummyFilter::process_config("./",&error);
	if ( error > 0u ) 
		printf("Error in DummyProducer::process_config %d \n ",error);	
	
	DummyFilter *filter = new DummyFilter() ; 
	filter->process_initialise(&error);	
	if ( error > 0u ) 
		printf("Error in DummyProducer::process_config %d \n ",error);
	DummyConsumer::process_config("./",&error);
	if ( error > 0u ) 
		printf("Error in DummyProducer::process_config %d \n ",error);
	DummyConsumer *cons = new DummyConsumer() ; 
	cons->process_initialise(&error); 
	if ( error > 0u ) 
		printf("Error in DummyProducer::process_config %d \n ",error);
		
	// loop on events
	UInt_t realsize1 = 1u, realsize2, nb_loop = 0u;
	struct tms t0, t; times(&t0);	
	while ( error == 0u ) {
		// printf("nb_loop_in %d \n",nb_loop);
		// to get an input block
		pro->process_block(buf1,size_buf_in,&realsize1,&error); if ( realsize1 == 0u ) break;
		printf("realsize1 %d \n",realsize1);
		//
		filter->process_block(buf1,realsize1,buf2,size_buf_out,&realsize2,&error);
		//
		printf("realsize2 %d \n",realsize2);
		cons->process_block(buf2,realsize2,&error); nb_loop++;
	}
	printf("nb_loop %d %d\n",nb_loop,error);	
	// 
	printf("\n");
	times(&t);
	std::cout << "User " << Float_t(t.tms_utime-t0.tms_utime)/sysconf(_SC_CLK_TCK)
	     << " second, System " << Float_t(t.tms_stime-t0.tms_stime)/sysconf(_SC_CLK_TCK) 
	     << " seconds" << std::endl; 
	     
	delete cons;
	delete filter; 
	delete pro; 

	BaseBuffer::Delete(buf2);BaseBuffer::Delete(buf1);
	*/
	return 0;
}

