


#include <sys/times.h>

#include <iostream>
#include <sstream>
#include <string>

/*
compilation: 
	g++ -O -Wall -fPIC -I./ -L./ -lADF dev/cpptest.c -o cpptest
	g++ -g -pg -I./ -L./ -lADF dev/test0.2.c -o test0.2 
	
--> DEBUG 
Linux SL4

--> VALGRIND

Memory leak
Profiling
	
*/

#include "ADFObjects.h"

using namespace ADF;

int main(int argc, char **argv)
{	
	SignalImp<int> s1(10u);  SignalImp<int> s2(10u) ; Signal *s = new SignalImp<int> (20);
	
	int i = 9;
		
	s1[0] = i;
	s2 = s1;

	std::cout << s2.GetJ<float>(0,0) << std::endl;
	s1.resize(10u,0);
	std::cout << s->GetJ<float>(0,0) << std::endl;	
// 	std::cout << s[0] << std::endl;	
	return 0;
}

