/***************************************************************************
 *   Copyright (C) 2004 by Olivier Stezowski                               *
 *   agata(AT)ipnl.in2p3.fr                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
/** \file GwConfig.h to set informations about the gammaware configuration
*
*	- Gw_Version
*	- Gw_LibraryPath
*	- Gw_BinaryPath
*	- Gw_IncludePath
*	- Gw_IconsPath
*	- Gw_NdbPath
*	- Gw_MacrosPath
*
*/
 
#ifndef GW_CONFIG_H
#define GW_CONFIG_H

#define GW_Version				"@GammaWare_VERSION@";

#define GW_LibraryPath			"@GW_LIB_DIR@";
#define GW_BinaryPath			"@GW_BIN_DIR@";
#define GW_IncludePath			"@GW_INCLUDE_DIR@";
#define GW_IconsPath				"@GW_DATA_DIR@/gw/icons";
#define GW_NdbPath				"@GW_DATA_DIR@/gw/ndb";
#define GW_MacrosPath			"@GW_DATA_DIR@/gw/macros";
	
#endif
