

#ifndef GW_XTERMPROGRESSBAR_H
#include "XtermProgressBar.h"
#endif

#include <iostream>
#include <fstream>

using namespace Gw;
using namespace std;

XtermProgressBar::XtermProgressBar(Double_t min, Double_t max) : fMaxSize(80), fCurrentSize(0), fMin(min), fMax(max), fCurrent(min)
{
	
}

XtermProgressBar::~XtermProgressBar()
{
	
}

void XtermProgressBar::Start() 
{ 
	fCurrent = fMin; fCurrentSize = 0; 
	cout << endl << "["; 
	for(UInt_t i = 0; i < fMaxSize; i++) { cout << " "; }	
	cout << "]" << "\r";	
	
	cout.flush();
}

void XtermProgressBar::UpdateCurrentStatus()	
{
	cout << "["; 
	for(UInt_t i = 0; i < fCurrentSize; i++) { cout << "-"; } 
	for(UInt_t i = fCurrentSize+1; i < fMaxSize; i++) { cout << " "; } 	
	cout << "]" << "\r";
	
	cout.flush();
}
	
