#ifndef GS_DAQGANIL_H
#define GS_DAQGANIL_H


#include <GWTypes.h>
#include <StreamIO.h>

#include <BufferGANIL.h>

namespace gws 
{
//! 
/*!
	detail
*/
class DAQGANIL : public StreamIO
{
private:
    float fRate;
    int   fDAQBufNumber, fDAQBufNumber0;
       
    BufferGANIL *fBufGANIL;
     
public:
    DAQGANIL(BufferGANIL *);
    virtual ~DAQGANIL();

    //! brief
    /*!
    	detail
    */
    virtual void Open(const char*, int, const mode_gw perm = Perm::kUserRWX | Perm::kGroupR | Perm::kGroupX) throw(Exception);
    virtual void Close() throw(Exception);
   
    virtual int Read(Buffer *)  throw(Exception);
    virtual int Write(Buffer *) throw(Exception);    
    
    virtual void Status(ostream &); 
    virtual void Reset(const char *);
};

// DAQGANIL inline members ///////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

}

#endif
