#ifndef GW_METATREE_H
#define GW_METATREE_H

#include <TH1.h>
#include <TClonesArray.h>


//! Class for Meta information on Tree
/*!
	What is stored in this object:
	- run number on which is based the tree
	- date of creation of the run
	- Number of our 
*/
class MetaTree : public TObject
{
private:

	TString Date;
	Int_t   Run;
	UInt_t  Exogam;
	UInt_t  Vamos;
	UInt_t  Diamant;	
		
public:
	MetaTree() ;
	virtual ~MetaTree();

	virtual Bool_t Fill(UShort_t *, UShort_t) { return kFALSE; }	

	ClassDef(MetaTree,1) // Base class for a raw event
};

#endif
