/***************************************************************************
 *   Copyright (c) IPNL, IN2P3, CNRS                                       *
 *   Contibutor(s) :                                                       *
 *      Olivier Stezowski stezow(AT)ipnl.in2p3.fr [2014]                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#if defined(__ROOTCLING__) || defined(__CINT__)

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ class Gw::ASymCorrelatedSpace+;
#pragma link C++ class Gw::BaseLSPlayer+;
#pragma link C++ class Gw::LSaxis+;
#pragma link C++ class Gw::BasePeak+;
#pragma link C++ class Gw::BaseSpectrumPlayer+;
#pragma link C++ class Gw::CSFilter+;
#pragma link C++ class Gw::CSManager+;
#pragma link C++ class Gw::Cascade+;
#pragma link C++ class Gw::CorrelatedSpaceLightTree3-;
#pragma link C++ class Gw::CorrelatedSpace+;
#pragma link C++ class Gw::CorrelatedSpaceTH2+;
#pragma link C++ class Gw::CorrelatedSpaceTree2D+;
#pragma link C++ class Gw::CorrelatedSpaceTree2F+;
#pragma link C++ class Gw::CorrelatedSpaceTree2I+;
#pragma link C++ class Gw::CorrelatedSpaceTree2-;
#pragma link C++ class Gw::CubicFilter+;
#pragma link C++ class Gw::Gate+;
#pragma link C++ class Gw::ENSDF;
#pragma link C++ class Gw::GCondition+;
#pragma link C++ class Gw::GCond1D+;
#pragma link C++ class Gw::GCond2D+;
#pragma link C++ class Gw::GLSPlayer+;
#pragma link C++ class Gw::GSPlayer+;
#pragma link C++ class Gw::GammaLink+;
#pragma link C++ class Gw::Level+;
#pragma link C++ class Gw::LevelScheme+;
#pragma link C++ class Gw::Link+;
#pragma link C++ class Gw::NuclearLevel+;
#pragma link C++ class Gw::Parity+;
#pragma link C++ class Gw::Peak1D+;
#pragma link C++ class Gw::PeakCreator;
#pragma link C++ class Gw::QNumber+;
#pragma link C++ class Gw::RootSpectrumPlayer+;
#pragma link C++ class Gw::Spin+;
#pragma link C++ class Gw::SymCorrelatedSpace+;
#pragma link C++ class Gw::XGammaLink+;


#pragma link C++ namespace Gw;

#endif