/***************************************************************************
 *   Copyright (c) IPNL, IN2P3, CNRS                                       *
 *   Contibutor(s) :                                                       *
 *      Olivier Stezowski stezow(AT)ipnl.in2p3.fr [2014]                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#if defined(__ROOTCLING__) || defined(__CINT__)

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ namespace Gw;
#pragma link C++ class Gw::AgataEventContainer+;
#pragma link C++ class Gw::StdHit+;
#pragma link C++ class Gw::TrackHit+;
#pragma link C++ class Gw::AgataEventDisplay+;
#pragma link C++ class Gw::AgataHitDisplay+;
#pragma link C++ class Gw::AgataTrackDisplayEditor+;
#pragma link C++ class Gw::AgataTrackDisplay+;
#pragma link C++ class Gw::BaseCalib;
#pragma link C++ class Gw::BaseEventContainer+;
#pragma link C++ class Gw::BaseEventDisplay+;
#pragma link C++ class Gw::CalibCo60;
#pragma link C++ class Gw::H1Calibrator;
#pragma link C++ class Gw::HistoConverter;
#pragma link C++ class Gw::HistoDB;
#pragma link C++ class Gw::LevelEditor;
#pragma link C++ class Gw::MatPlayer;


#endif