/** \file BrowserLS.C ROOT macro to display level sheme from the ROOT TBrowser

	
 \author Olivier Stezowski
 
 \date 14/10/2005	
*/
void BrowserLS(const char *name)
{	
	if ( gSystem->Load("libGWPHYSICS.so") < 0 ) 
	{ cout << "libGWPHYSICS.so is needed to display " << hname << endl; return; }
	
	TString t = name;
	
	if ( t.EndsWith(".ags") ||  t.EndsWith(".ens") ) { // 
		Gw::LevelScheme *lev = new Gw::LevelScheme(); lev->Import(name,"FromImport"); lev->Draw();
	}
}
