#
# Source this file to set up the environment to work with Gammaware Version @GammaWare_VERSION@
#

set path = (@GW_BIN_DIR@ $path)

if ($?LD_LIBRARY_PATH) then
  setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:@GW_LIB_DIR@      # Linux, ELF HP-UX
endif

if ($?DYLD_LIBRARY_PATH) then
  setenv DYLD_LIBRARY_PATH ${DYLD_LIBRARY_PATH}:@GW_LIB_DIR@  # Mac OS X
endif

if ($?SHLIB_PATH) then
   setenv SHLIB_PATH ${SHLIB_PATH}:@GW_LIB_DIR@    # legacy HP-UX
endif

if ($?LIBPATH) then
   setenv LIBPATH ${LIBPATH}:@GW_LIB_DIR@         # AIX
endif


echo ' ---> You are working now with GammaWare version' @GammaWare_VERSION@
