#
# Source this file to set up the environment to work with Gammaware Version @GammaWare_VERSION@
#

if [ -z "${PATH}" ]; then
   PATH=@GW_BIN_DIR@; export PATH
else
   PATH=@GW_BIN_DIR@:$PATH; export PATH
fi

if [ -n "${LD_LIBRARY_PATH}" ];  then
  LD_LIBRARY_PATH=$LD_LIBRARY_PATH:@GW_LIB_DIR@  ; export LD_LIBRARY_PATH  # Linux, ELF HP-UX
fi

if [ -n "${DYLD_LIBRARY_PATH}" ];  then
  DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH:@GW_LIB_DIR@  ; export DYLD_LIBRARY_PATH  # Mac OS X
fi

if [ -n "${SHLIB_PATH}" ];  then
  SHLIB_PATH=$SHLIB_PATH:@GW_LIB_DIR@  ; export SHLIB_PATH  # legacy HP-UX
fi

if [ -n "${LIBPATH}" ];  then
  LIBPATH=$LIBPATH:@GW_LIB_DIR@  ; export LIBPATH  # AIX
fi

echo ' ---> You are working now with GammaWare version' @GammaWare_VERSION@