
#ifndef _BasicAFC
#include "BasicAFC.h"
#endif

extern "C" {
/* you must have the following symbols */
/* see John Cresswell document for details : */
/* AGATA PSA and Tracking Algorithm Integration*/
//!
void process_config (const Char_t *directory_path, UInt_t *error_code);
//!
BasicAFC *process_register (UInt_t *error_code);
//!
void process_unload (BasicAFC *algo_data,UInt_t *error_code);

//!
void process_block (BasicAFC *algo_data,void *input_buffer,UInt_t size_of_input_buffer,UInt_t *error_code) ;	

/* optionnal symbols */
/* this symbol isn't documented for the moment, it should contain 0 or the */
/* maximum size of one event, value 0 is safe */
int max_size = 0;
void process_initialise (BasicAFC *algo_data, UInt_t *error_code);
void process_reset (BasicAFC *algo_data,UInt_t *error_code);
void process_start (BasicAFC *algo_data,UInt_t *error_code);
void process_stop (BasicAFC *algo_data,UInt_t *error_code);
void process_pause (BasicAFC *algo_data,UInt_t *error_code);
void process_resume (BasicAFC *algo_data, UInt_t *error_code);
} // extern C

