
#ifndef _TestFIO
#include "TestFIO.h"
#endif

extern "C" {
/* you must have the following symbols */
/* see John Cresswell document for details : */
/* AGATA PSA and Tracking Algorithm Integration*/
//!
void process_config (const Char_t *directory_path, UInt_t *error_code);
//!
TestFIO *process_register (UInt_t *error_code);
//!
void process_unload (TestFIO *algo_data,UInt_t *error_code);

//!
void process_block (TestFIO *algo,
		    void *input_buffer,
                    UInt_t size_of_input_buffer,
		    void *output_buffer,
		    UInt_t size_of_output_buffer,
		    UInt_t *used_size_of_output_buffer,
		    UInt_t *error_code);
/* optionnal symbols */
/* this symbol isn't documented for the moment, it should contain 0 or the */
/* maximum size of one event, value 0 is safe */
int max_size = 0;
void process_initialise (TestFIO *algo_data, UInt_t *error_code);
void process_reset (TestFIO *algo_data,UInt_t *error_code);
void process_start (TestFIO *algo_data,UInt_t *error_code);
void process_stop (TestFIO *algo_data,UInt_t *error_code);
void process_pause (TestFIO *algo_data,UInt_t *error_code);
void process_resume (TestFIO *algo_data, UInt_t *error_code);
} // extern C

