/***************************************************************************
 *   Copyright (C) 2004 by Olivier Stezowski                               *
 *   stezow(AT)ipnl.in2p3.fr                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
/** \file Events.cpp compiled in libGWCORE.so */

#ifndef ROOT_TClass
#include "TClass.h"
#endif

#ifndef GW_EVENTS_H
#include "Events.h"
#endif

using namespace GwD;

ClassImp(EPoint);

EPoint::EPoint() : E(0.0), X(0.0), Y(0.0), Z(0.0) 
{ 
	EPoint::Class()->IgnoreTObjectStreamer(); 
}

void EPoint::Clear(Option_t *opt) 
{ 
	TString o = opt; E = 0.0; X = Y = Z = 0.0;
}	

ClassImp(TrackedGamma);




