/***************************************************************************
 *   Copyright (c) IPNL, IN2P3, CNRS                                       *
 *   Contibutor(s) :                                                       *
 *      Olivier Stezowski stezow(AT)ipnl.in2p3.fr [2014]                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


//#if defined(__CLING__) || defined(__CINT__)

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ nestedclass;

#pragma link C++ namespace Gw;

#pragma link C++ class Gw::Random;
#pragma link C++ class Gw::BaseNucleus+;
#pragma link C++ class Gw::Data<Char_t>+;
#pragma link C++ class Gw::Data<Short_t>+;
#pragma link C++ class Gw::Data<UShort_t>+;
#pragma link C++ class Gw::Data<Int_t>+;
#pragma link C++ class Gw::Data<UInt_t>+;
#pragma link C++ class Gw::Data<Float_t>+;
#pragma link C++ class Gw::Data<Double_t>+;
#pragma link C++ class Gw::Env;
#pragma link C++ class Gw::GammaTracker;
#pragma link C++ class Gw::InfoData+;
#pragma link C++ class Gw::Measure<Float_t>+;
#pragma link C++ class Gw::Measure<Double_t>+;
#pragma link C++ class Gw::PadManager;
#pragma link C++ class Gw::RandObj; 

#endif