#ifndef CO60_H
#define CO60_H

#include<BaseCalib.h>
#include<TF1.h>
class Co60 : public BaseCalib {
public:
	Co60();
        virtual ~Co60();
	virtual const Char_t* DoCalib(TH1D*, TF1*, TGraphErrors *, const Char_t *option = "Gauss", Int_t binmin=0, Int_t binmax=0);
	void DoCalib(TObjArray*, TObjArray*, TObjArray *, const Char_t *option = "Gauss", Int_t binmin=0 , Int_t binmax=0);

	//void DroiteCalib(TH1D *,TF1 *);

	//void CheckResolution(TObjArray*, TObjArray*, Float_t threshold = 0.1);


	TH1D *GetHistoCalib(); //Return the calibrated histogram


private:
	TH1D *fHistoCalib;


};

#endif
