

#ifndef Gw_RadLevelSchemeReader
#define Gw_RadLevelSchemeReader

#ifndef Gw_BaseLevelSchemeReader
#include "BaseLevelSchemeReader.h"
#endif

#ifndef GW_LEVELSCHEME_H
#include "LevelScheme.h"
#endif

namespace Gw {

/** A RadLevelSchemeReader class to read radware level scheme files

*/
class RadLevelSchemeReader : public BaseLevelSchemeReader {

public:
  
  RadLevelSchemeReader(const char* filename, Option_t* opt);
  virtual ~RadLevelSchemeReader();
    

  //! check file before imported level scheme
  virtual Int_t Check();
  //! fill labels
  virtual void FillLabels( LevelScheme& levelScheme);


   
};

} // end namespace
#endif
