/***************************************************************************
 *   Copyright (C) 2004 by Olivier Stezowski                               *
 *   stezow(AT)ipnl.in2p3.fr                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
/** \file Base.cpp System Base Class implementation in libGWSYSTEM.so */

#ifndef ROOT_TSystem
#include <TSystem.h>
#endif

#ifndef GWS_BASE_H
#include "Base.h"
#endif

using namespace Gws; 

//// IMPLEMENTATION //////////////////////////////////////////////////////////////

/*

#ifndef SYSERROR
#define SYSERROR -1
#endif

// open mode
const int IO::kIn     = O_RDONLY;
const int IO::kOut    = O_WRONLY;
const int IO::kInOut  = O_RDWR;
const int IO::kAppend = O_APPEND;
const int IO::kCreat  = O_CREAT;
const int IO::kTrunc  = O_TRUNC;

//seek related
const int Seek::kBeg   = SEEK_SET;
const int Seek::kCur   = SEEK_CUR;
const int Seek::kEnd   = SEEK_END;

// permisIOns
const mode_gw Perm::kUserR    = S_IRUSR;
const mode_gw Perm::kUserW    = S_IWUSR;
const mode_gw Perm::kUserX    = S_IXUSR;
const mode_gw Perm::kUserRWX  = S_IRWXU;
const mode_gw Perm::kGroupR   = S_IRGRP;
const mode_gw Perm::kGroupW   = S_IWGRP;
const mode_gw Perm::kGroupX   = S_IXGRP;
const mode_gw Perm::kGroupRWX = S_IRWXG;
const mode_gw Perm::kWorldR   = S_IROTH;
const mode_gw Perm::kWorldW   = S_IWOTH;
const mode_gw Perm::kWorldX   = S_IXOTH;
const mode_gw Perm::kWorldRWX = S_IRWXO;
*/

Base::Base() 
{	
    // Default constructor
}

Base::~Base() 
{
    // Destructor
}

TSystem *SystemROOT() 
{ 
	return gSystem; 
}

/*
long int Base::MaxLengthFileName()
{
// static function that gives the maximum length for a file name
// it uses the current directory. return value in bytes

    ResetError();
    return ::pathconf(".",_PC_NAME_MAX) ;
}

long int Base::MaxLengthPath()
{
// static function that gives the maximum length for a path
// it uses the current directory. return value in bytes

    ResetError();
    return ::pathconf(".",_PC_PATH_MAX);
}
*/
