/***************************************************************************
 *   Copyright (C) 2004 by Olivier Stezowski                               *
 *   stezow(AT)ipnl.in2p3.fr                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   aLong_t with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
/** \file Memory.cpp compiled in libGWSYSTEM.so */


#ifndef GWS_MEMORY_H
#include "Memory.h"
#endif

using namespace Gws; 

Memory::Agent::Agent()
{
// code from Fons 
	union endian_data {
        	int word;
        	char bytes[sizeof(int)];
	};
        union endian_data d;

        d.word = 0x1;
        if (d.bytes[0] == 0x1) 
		fEndian = Memory::kLittle;
        else 
		fEndian = Memory::kBig;	
}

Memory::Agent *Memory::gAgent = new Memory::Agent();

Memory::Memory()
{
// default constructor
}

Memory::~Memory()
{
// destructor
}

/*
void Memory::Copy(const Char_t *from, Char_t *to, Int_t size)
{
// copy size bytes of buf  Int_to data 
	 ::memcpy(to,from,size);
}
*/

/*
void Memory::Swap(Short_t *data, Char_t *buf, Int_t size)
{
// copy size bytes of buf (with byte swapping) Int_to data 
	Short_t *bufs = (Short_t *)buf; Int_t i;
	for ( i = 0; i < size/2 ; i++ ) {
	  data[i] = ((((bufs[i]) >> 8) & 0xff) | (((bufs[i]) & 0xff) << 8));
	}
}
*/
